Add a system setting for default results display format of project query

2020-01-16 10:00 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

Add a system settings for default results display format ("Display results as") of project query, so that we make query results to be

shown as list by default.

Related to #29482.

Environment:

  Redmine version                4.1.0.stable

  Ruby version                   2.5.7-p206 (2019-10-01) [x64-mingw32]

  Rails version                  5.2.4.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.11.1

  Git                            2.19.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Feature #29482: Query system for Projects page Closed

Related to Redmine - Feature #35795: Settings for global and user default cus... Closed

Associated revisions

Revision 19505 - 2020-02-11 02:10 - Go MAEDA

Add system setting for default results display format of project query (#32818).

Patch by Takenori TAKAKI and Marius BALTEANU.

History

#1 - 2020-01-25 08:51 - Marius BĂLTEANU

- Related to Feature #29482: Query system for Projects page added

#2 - 2020-02-03 14:16 - Takenori TAKAKI

- File setting_project_list_display_type.png added

- File 32818.patch added

I made a patch that enable to set the default 'display type' of project list.

We can select either "Boar" or "List" on the "settings?Tab=project" as shown below.

 setting_project_list_display_type.png 

#3 - 2020-02-04 05:59 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2020-02-07 07:18 - Go MAEDA
- Target version changed from Candidate for next major release to 4.2.0

I think there are many users who prefer "List" style over "Board". This is a useful feature for those users.

The patch looks good to me. Setting the target version to 4.2.0.

#5 - 2020-02-09 18:30 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

I would like to review this patch.

#6 - 2020-02-09 23:21 - Marius BĂLTEANU

- File 0001-Add-system-setting-for-default-results-display-forma.patch added

- Assignee deleted (Marius BĂLTEANU)

Thanks Takenori TAKAKI for writing the patch.

I propose few changes in the attached patch in order to keep the existing logic, please let me know what do you think.

Tests pass: https://gitlab.com/redmine-org/redmine/pipelines/116338730

#7 - 2020-02-10 16:25 - Takenori TAKAKI

Thanks to Marius for reviewing the patch and suggesting improvements!

I think attached code is better, because the patch will be more DRY.

#8 - 2020-02-11 02:11 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

#9 - 2020-03-29 11:51 - Mike K

Hello, i cant apply this patch to my Redmine (4.1.0.stable). When i execute this command on home project directory i got this:

patch < 0001-Add-system-setting-for-default-results-display-forma.patch 

can't find file to patch at input line 19

Perhaps you should have used the -p or --strip option?

The text leading up to this was:

--------------------------

|From a6110fa9d370ca31c365b69403ecd36f92302faa Mon Sep 17 00:00:00 2001

|From: Marius BALTEANU <marius.balteanu@zitec.com>

|Date: Sun, 9 Feb 2020 19:45:53 +0200

|Subject: [PATCH] Add system setting for default results display format of

| project query

|

|---

| app/models/project_query.rb           | 4 ++++

| app/models/query.rb                   | 6 +++++-

| app/views/settings/_projects.html.erb | 7 +++++++

| config/settings.yml                   | 2 ++

| test/unit/project_query_test.rb       | 9 +++++++++

| 5 files changed, 27 insertions(+), 1 deletion(-)

|

|diff --git a/app/models/project_query.rb b/app/models/project_query.rb

|index 54c16d8e6..703e979d5 100644

|--- a/app/models/project_query.rb

|+++ b/app/models/project_query.rb

Please help me, i need this patch.

#10 - 2020-03-29 13:20 - Marius BĂLTEANU

Mike K wrote:
Hello, i cant apply this patch to my Redmine (4.1.0.stable). When i execute this command on home project directory i got this:

[...]

Please help me, i need this patch.

 Use patch -p1 < 0001-Add-system-setting-for-default-results-display-forma.patch to apply the patch. Anyway, if still doesn't work, please use forum to

request help.

#11 - 2021-03-28 01:56 - Go MAEDA

- Subject changed from Add a system settings for default results display format of project query to Add a system setting for default results display

format of project query

#12 - 2021-08-22 04:24 - Mischa The Evil

- Related to Feature #35795: Settings for global and user default custom ProjectQuery added

Files

setting_project_list_display_type.png 33.6 KB 2020-02-03 Takenori TAKAKI

32818.patch 3.15 KB 2020-02-03 Takenori TAKAKI

0001-Add-system-setting-for-default-results-display-forma.patch 3.51 KB 2020-02-09 Marius BĂLTEANU
